<?xml version="1.0" encoding="UTF-8"?>
<config install4jVersion="4.2.7" install4jBuild="4490" type="windows">
  <general applicationName="SNMP Proxy" applicationVersion="1.0.4.4" mediaSetId="22" applicationId="0511-1371-8225-4381" status="LCOK" mediaName="snmp_proxy_windows_1_0_4_4" jreVersion="1.6.0_20" minJavaVersion="1.6" publisherName="" publisherURL="" jreShared="false" lzmaCompression="false" pack200Compression="false" installerType="1" suggestPreviousProgramGroup="true" addOnAppId="" suggestPreviousLocations="true" uninstallerFilename="uninstall" uninstallerDirectory="." defaultInstallationDirectory="{appdir}{/}SNMP Proxy" />
  <languages skipLanguageSelection="false" languageSelectionInPrincipalLanguage="false">
    <variable id="en" name="English" messageFile="i4j_extf_0_lj8fvu.utf8" customLocalizationFile="" />
  </languages>
  <variables>
    <variable name="sys.version" value="1.0.4.4" />
    <variable name="sys.shortName" value="snmp_proxy" />
    <variable name="sys.fullName" value="SNMP Proxy" />
    <variable name="sys.publisher" value="" />
    <variable name="sys.publisherUrl" value="" />
    <variable name="sys.setName" value="Windows" />
    <variable name="sys.platform" value="windows" />
    <variable name="sys.languageId" value="en" />
    <variable name="sys.withJre" value="_with_jre" />
    <variable name="sys.date" value="20101101" />
    <variable name="sys.javaMinVersion" value="1.6" />
    <variable name="sys.javaMaxVersion" value="" />
    <variable name="sys.install4jHome" value="C:\Program Files\install4j" />
    <variable name="sys.applicationId" value="0511-1371-8225-4381" />
  </variables>
  <customCode />
  <applications>
    <application id="installer">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.InstallerApplication" />
      </java>
      <screens>
        <screen id="1" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions>
            <action id="31" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.RequireAdminAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="2" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.WelcomeScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="3" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.InstallationDirectoryScreen" />
          </java>
          <actions>
            <action id="4" conditionClass="I4jScript_Internal_1" rollbackBarrier="false" multiExec="true" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.LoadResponseFileAction">
                  <void property="excludedVariables">
                    <array class="java.lang.String" length="1">
                      <void index="0">
                        <string>sys.installationDir</string>
                      </void>
                    </array>
                  </void>
                </object>
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="5" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="I4jScript_Internal_2" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.ComponentsScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="6" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StandardProgramGroupScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="7" conditionClass="" rollbackBarrier="true" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.InstallationScreen" />
          </java>
          <actions>
            <action id="74" conditionClass="I4jScript_Internal_3" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.services.StopServiceAction">
                  <void property="launcherId">
                    <string>21</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="164" conditionClass="I4jScript_Internal_4" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.services.StopServiceAction">
                  <void property="launcherId">
                    <string>161</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="28" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.UninstallPreviousAction" />
              </java>
            </action>
            <action id="8" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.InstallFilesAction" />
              </java>
            </action>
            <action id="37" conditionClass="I4jScript_Internal_5" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.services.InstallServiceAction">
                  <void property="addToScreen">
                    <boolean>false</boolean>
                  </void>
                  <void property="launcherId">
                    <string>21</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="166" conditionClass="I4jScript_Internal_6" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.services.InstallServiceAction">
                  <void property="addToScreen">
                    <boolean>false</boolean>
                  </void>
                  <void property="launcherId">
                    <string>161</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="9" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateProgramGroupAction">
                  <void property="programGroupName">
                    <string>SNMP Proxy</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="10" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.RegisterAddRemoveAction">
                  <void property="itemName">
                    <string>SNMP Proxy 1.0.4.4</string>
                  </void>
                </object>
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="11" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.FinishedScreen" />
          </java>
          <actions>
            <action id="33" conditionClass="I4jScript_Internal_7" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.services.StartServiceAction">
                  <void property="launcherId">
                    <string>21</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="222" conditionClass="I4jScript_Internal_8" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.services.StartServiceAction">
                  <void property="launcherId">
                    <string>161</string>
                  </void>
                </object>
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
      </screens>
    </application>
    <application id="uninstaller">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.UninstallerApplication" />
      </java>
      <screens>
        <screen id="12" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions>
            <action id="32" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.RequireAdminAction" />
              </java>
            </action>
            <action id="18" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.LoadResponseFileAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="13" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallWelcomeScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="14" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallationScreen" />
          </java>
          <actions>
            <action id="34" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.services.StopServiceAction">
                  <void property="launcherId">
                    <string>21</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="15" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.UninstallFilesAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="17" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallFailureScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="16" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallSuccessScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
      </screens>
    </application>
  </applications>
  <launchers>
    <service startupType="auto" type="service" id="21" excludeFromMenu="true" uninstaller="false" name="SNMP Proxy Service" file="snmp_proxy.exe" />
    <service startupType="auto" type="service" id="161" excludeFromMenu="true" uninstaller="false" name="Northbound Interface Service" file="northbound_interface.exe" />
    <launcher type="installerApplication" id="254" excludeFromMenu="false" uninstaller="true" name="SNMP Proxy Uninstaller" file="uninstall.exe" />
  </launchers>
  <externalRoots />
  <filesets />
  <components>
    <component name="SNMP Proxy" id="169" displayDescription="false" allIncluded="false" selected="true" mandatory="false" downloaded="false">
      <description />
      <entry location="lib" />
      <entry location="logs" />
      <entry location="mibs/RFC1213-MIB.my" />
      <entry location="logging.properties" />
      <entry location="snmp_proxy.cfg" />
      <entry location="switchOids.cfg" />
      <entry location="snmp_proxy.exe" />
    </component>
    <component name="Northbound Interface" id="170" displayDescription="false" allIncluded="false" selected="true" mandatory="false" downloaded="false">
      <description />
      <entry location="lib" />
      <entry location="mibs/RFC1213-MIB.my" />
      <entry location="logging.properties" />
      <entry location="northboundIfc.cfg" />
      <entry location="northbound_interface.exe" />
    </component>
  </components>
  <fileOptions>
    <dir name="" mode="755" />
    <dir name="mibs" mode="755" />
    <entry name="lib/SNMP4J.jar" overwrite="4" shared="false" mode="644" uninstallMode="0" />
    <entry name="lib/snmp_proxy.jar" overwrite="4" shared="false" mode="644" uninstallMode="0" />
    <dir name="logs" mode="755" />
    <entry name="switchOids.cfg" overwrite="4" shared="false" mode="644" uninstallMode="0" />
    <entry name="mibs/CVS/Entries" overwrite="4" shared="false" mode="644" uninstallMode="0" />
    <entry name="mibs/RFC1213-MIB.my" overwrite="4" shared="false" mode="644" uninstallMode="0" />
    <entry name="logging.properties" overwrite="4" shared="false" mode="644" uninstallMode="0" />
    <entry name="lib/AdventNetLogging.jar" overwrite="4" shared="false" mode="644" uninstallMode="0" />
    <entry name="lib/WSClassLibrary.jar" overwrite="4" shared="false" mode="644" uninstallMode="0" />
    <dir name="lib" mode="755" />
    <entry name="mibs/CVS/Root" overwrite="4" shared="false" mode="644" uninstallMode="0" />
    <entry name="northboundIfc.cfg" overwrite="0" shared="false" mode="644" uninstallMode="0" />
    <entry name="lib/AdventNetSnmp.jar" overwrite="4" shared="false" mode="644" uninstallMode="0" />
    <entry name="mibs/CVS/Repository" overwrite="4" shared="false" mode="644" uninstallMode="0" />
    <entry name="snmp_proxy.cfg" overwrite="0" shared="false" mode="644" uninstallMode="0" />
    <dir name="mibs/CVS" mode="755" />
    <entry name="snmp_proxy.exe" overwrite="3" shared="false" mode="755" dontUninstall="false" isLauncher="true" />
    <entry name="northbound_interface.exe" overwrite="3" shared="false" mode="755" dontUninstall="false" isLauncher="true" />
    <entry name="uninstall.exe" overwrite="3" shared="false" mode="700" dontUninstall="false" />
  </fileOptions>
  <uninstallDelete>
    <entry name="jre/bin/client/classes.jsa" />
    <entry name="./error.log" />
    <entry name="./output.log" />
    <entry name="./error.log" />
  </uninstallDelete>
  <windowsSpecific />
  <scriptClassOrigins>
    <class className="I4jScript_Internal_1" beanType="action" beanName="Load a response file" propertyName="Condition expression" parentScreen="Installation location" />
    <class className="I4jScript_Internal_2" beanType="screen" beanName="Installation components" propertyName="Validation expression" parentScreen="" />
    <class className="I4jScript_Internal_3" beanType="action" beanName="Stop a service" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_4" beanType="action" beanName="Stop a service" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_5" beanType="action" beanName="Install a service" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_6" beanType="action" beanName="Install a service" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_7" beanType="action" beanName="Start a service" propertyName="Condition expression" parentScreen="Finish" />
    <class className="I4jScript_Internal_8" beanType="action" beanName="Start a service" propertyName="Condition expression" parentScreen="Finish" />
  </scriptClassOrigins>
</config>

